Pterodactyldocs
Client server network

List allocations

Retrieves the network information for the specified server

GET/api/client/servers/{server}/network/allocations

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Path Parameters

server*string

Server identifier (short 8-character ID)

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/1a7ce997/network/allocations"
{  "object": "list",  "data": [    {      "object": "allocation",      "attributes": {        "id": 1,        "ip": "45.86.168.218",        "ip_alias": null,        "port": 25565,        "notes": null,        "is_default": true      }    },    {      "object": "allocation",      "attributes": {        "id": 2,        "ip": "45.86.168.218",        "ip_alias": null,        "port": 25566,        "notes": "Votifier",        "is_default": false      }    }  ]}